org.eclnt.jsfserver.elements.componentnodes

## Class VIDEONode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.VIDEONode

- All Implemented Interfaces:
    java.io.Serializable

      public class VIDEONode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VIDEONode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VIDEONode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindColspan(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindComment(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindHeight(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindPosterimage(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindRendered(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindShadow(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindVideosrc(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindWidth(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindX(IDynamicContentBindingObject value)`
    `VIDEONode` | `bindY(IDynamicContentBindingObject value)`
    `VIDEONode` | `setAdapterbinding(java.lang.String value)`
    `VIDEONode` | `setAnimatechangeofsize(boolean value)`
    `VIDEONode` | `setAnimatechangeofsize(java.lang.String value)`
    `VIDEONode` | `setAttributemacro(java.lang.String value)`
    `VIDEONode` | `setColspan(int value)`
    `VIDEONode` | `setColspan(java.lang.String value)`
    `VIDEONode` | `setComment(java.lang.String value)`
    `VIDEONode` | `setConfiginfo(java.lang.String value)`
    `VIDEONode` | `setHeight(int value)`
    `VIDEONode` | `setHeight(java.lang.String value)`
    `VIDEONode` | `setId(java.lang.String value)`
    `VIDEONode` | `setPosterimage(java.lang.String value)`
    `VIDEONode` | `setReference(java.lang.String value)`
    `VIDEONode` | `setRendered(boolean value)`
    `VIDEONode` | `setRendered(java.lang.String value)`
    `VIDEONode` | `setRowalignmenty(java.lang.String value)`
    `VIDEONode` | `setShadow(java.lang.String value)`
    `VIDEONode` | `setStylevariant(java.lang.String value)`
    `VIDEONode` | `setVideosrc(java.lang.String value)`
    `VIDEONode` | `setWidth(int value)`
    `VIDEONode` | `setWidth(java.lang.String value)`
    `VIDEONode` | `setX(int value)`
    `VIDEONode` | `setX(java.lang.String value)`
    `VIDEONode` | `setY(int value)`
    `VIDEONode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VIDEONode

          public VIDEONode()

  - ### Method Detail

    - #### setId

          public VIDEONode setId(java.lang.String value)

    - #### setAdapterbinding

          public VIDEONode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public VIDEONode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public VIDEONode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public VIDEONode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public VIDEONode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public VIDEONode setAttributemacro(java.lang.String value)

    - #### setColspan

          public VIDEONode setColspan(java.lang.String value)

    - #### bindColspan

          public VIDEONode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public VIDEONode setColspan(int value)

    - #### setComment

          public VIDEONode setComment(java.lang.String value)

    - #### bindComment

          public VIDEONode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public VIDEONode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public VIDEONode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public VIDEONode setHeight(java.lang.String value)

    - #### bindHeight

          public VIDEONode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public VIDEONode setHeight(int value)

    - #### setPosterimage

          public VIDEONode setPosterimage(java.lang.String value)

    - #### bindPosterimage

          public VIDEONode bindPosterimage(IDynamicContentBindingObject value)

    - #### setReference

          public VIDEONode setReference(java.lang.String value)

    - #### setRendered

          public VIDEONode setRendered(java.lang.String value)

    - #### bindRendered

          public VIDEONode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public VIDEONode setRendered(boolean value)

    - #### setRowalignmenty

          public VIDEONode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public VIDEONode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public VIDEONode setShadow(java.lang.String value)

    - #### bindShadow

          public VIDEONode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public VIDEONode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public VIDEONode bindStylevariant(IDynamicContentBindingObject value)

    - #### setVideosrc

          public VIDEONode setVideosrc(java.lang.String value)

    - #### bindVideosrc

          public VIDEONode bindVideosrc(IDynamicContentBindingObject value)

    - #### setWidth

          public VIDEONode setWidth(java.lang.String value)

    - #### bindWidth

          public VIDEONode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public VIDEONode setWidth(int value)

    - #### setX

          public VIDEONode setX(java.lang.String value)

    - #### bindX

          public VIDEONode bindX(IDynamicContentBindingObject value)

    - #### setX

          public VIDEONode setX(int value)

    - #### setY

          public VIDEONode setY(java.lang.String value)

    - #### bindY

          public VIDEONode bindY(IDynamicContentBindingObject value)

    - #### setY

          public VIDEONode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.